@font-face {
  font-family: "Auralux";
  src: url("/assets/fonts/auralux.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

html.lenis {
  height: auto;
}

.lenis.lenis-smooth {
  scroll-behavior: auto !important;
}

body {
  overflow-x: hidden;
}

.container {
  max-width: 1440px;
}

:root {
  /* Font families */
  --font-heading: "Auralux", sans-serif;
  --font-body: Helvetica, Arial, sans-serif;

  /* Brutalist scale (can be tweaked) */
  --text-xs: 12px; /* 12px */
  --text-sm: 14px; /* 14px */
  --text-base: 16px; /* 16px */
  --text-lg: 18px; /* 18px */
  --text-xl: 24px; /* 24px */
  --text-2xl: 36px; /* 36px */
  --text-3xl: 48px; /* 48px */
  --text-4xl: 64px; /* 64px */

  --color-dark: #000;
  --color-white: #fff;
  --color-main: #454d38;
  --color-sub: #ffd4b2;
  --color-accent: #b27326;
  --color-accent-light: #f7f1e9;
}

::selection {
  background-color: var(--color-main);
  color: var(--color-sub);
}

body {
  font-family: var(--font-body);
  line-height: 200%;
}

h1,
h2,
h3,
h4,
h5,
h6,
div,
p,
span {
  line-height: 150%;
}

.font-serif {
  font-family: var(--font-heading);
}

.font-body {
  font-family: var(--font-body);
}

.superscript {
  font-size: 0.4em;
  position: relative;
  top: -1.1em;
}
.subscript {
  font-size: 0.3em;
  position: relative;
  top: 0;
}

.text-xs {
  font-size: var(--text-xs);
} /* 12px */
.text-sm {
  font-size: var(--text-sm);
} /* 14px */
.text-base {
  font-size: var(--text-base);
} /* 16px */
.text-lg {
  font-size: var(--text-lg);
} /* 18px */
.text-xl {
  font-size: var(--text-xl);
} /* 24px */
.text-2xl {
  font-size: var(--text-2xl);
} /* 36px */
.text-3xl {
  font-size: var(--text-3xl);
} /* 48px */
.text-4xl {
  font-size: var(--text-4xl);
} /* 64px */

.text-justify {
  text-align: justify;
}
.vh-5 {
  min-height: 5vh;
}
.vh-10 {
  min-height: 10vh;
}
.vh-20 {
  min-height: 20vh;
}
.vh-30 {
  min-height: 30vh;
}
.vh-40 {
  min-height: 40vh;
}
.vh-50 {
  min-height: 50vh;
}
.vh-60 {
  min-height: 60vh;
}
.vh-70 {
  min-height: 70vh;
}
.vh-80 {
  min-height: 80vh;
}
.vh-90 {
  min-height: 90vh;
}
.vh-100 {
  min-height: 100vh;
}

.logo-wrapper {
  position: relative;
  z-index: 10; /* so it's above content below */
}

.img-logo {
  width: 100%;
  z-index: 2;
  position: relative;
}

.text-main {
  color: var(--color-main);
}

.text-accent {
  color: var(--color-accent);
}

.text-sub {
  color: var(--color-sub);
}

.ls-wide {
  letter-spacing: 2px;
}

.btn-main-outline {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 20px;
  border: solid 1px var(--color-dark);
  color: var(--color-dark);
  text-decoration: none;
  border-radius: 0px;
  font-size: 0.8rem;
}

.btn-main-outline:hover,
.btn-main-outline:focus,
.btn-main-outline:active {
  background-color: #f7f1e9;
}

.btn-light-outline {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 10px 20px;
  border: solid 1px var(--color-accent-light);
  color: var(--color-accent-light);
  text-decoration: none;
  border-radius: 0px;
  font-size: 0.8rem;
}

.btn-light-outline:hover,
.btn-light-outline:focus,
.btn-light-outline:active {
  background-color: #f7f1e9;
}

.bg-main {
  background-color: var(--color-main);
}

.bg-dark {
  background-color: var(--color-dark) !important;
}

.bg-accent-light {
  background-color: var(--color-accent-light);
}

.bg-parallax {
  background-size: cover;
  background-position: center;
  background-attachment: fixed;
}

.m-minus {
  margin-top: -50px;
  z-index: 0;
}

/* Image aspect ratio utilities */
.aspect-4-5 {
  position: relative;
  width: 100%;
  height: 0;
  padding-bottom: 100%; /* 5/4 = 1.25 = 125% */
  overflow: hidden;
}

.aspect-4-5 img {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 130%;
  height: auto;
  object-fit: cover;
  object-position: top;
}

/* Image aspect ratio utilities */
.aspect-1-1 {
  position: relative;
  width: 100%;
  height: 0;
  padding-bottom: 100%; /* 5/4 = 1.25 = 125% */
  overflow: hidden;
}

.aspect-1-1 img {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: auto;
  object-fit: cover;
  object-position: bottom;
}

.aspect-150 {
  position: relative;
  width: auto;
  height: 100%;
  overflow: hidden;
}

.aspect-150 img {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: auto;
  object-fit: cover;
  object-position: top;
}

.aspect-100vh {
  position: relative;
  width: auto;
  height: 100vh;
  overflow: hidden;
}

.aspect-100vh img {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: auto;
  object-fit: cover;
  object-position: top;
}

.aspect-16-9 {
  position: relative;
  width: 100%;
  height: 0;
  padding-bottom: 56.25%; /* 5/4 = 1.25 = 125% */
  overflow: hidden;
}

.aspect-16-9 img {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: auto;
  object-fit: cover;
  object-position: bottom;
}

/* Image aspect ratio utilities */
.parallax-wrapper {
  height: 0;
  top: 50%;
  transform: translateY(-50%);
  overflow: hidden;
  position: relative;
  background-color: var(--color-dark);
}

.parallax-wrapper img {
  position: absolute;
  top: 0;
  height: 120vh;
  width: 100%;
  object-fit: cover;
  object-position: bottom;
  z-index: 5;
  opacity: 0.7;
}

.parallax-wrapper h3 {
  position: absolute;
  top: 50%;
  left: 50%;
  text-align: center;
  transform: translate(-50%, -50%);
  color: var(--color-white);
  opacity: 0;
  z-index: 10;
}

.booking-box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  transition: all 300ms ease-out;
  padding-top: 60px;
  padding-bottom: 60px;
}

.booking-box.price {
  background-color: var(--color-sub);
  color: var(--color-main);
}

.booking-box.form {
  border: solid 1px var(--color-sub);
}

.booking-box .form-control {
  border: none;
  border-bottom: solid 1px var(--color-accent-light);
  border-radius: 0;
  padding: 0;
  padding-bottom: 10px;
  margin-bottom: 30px;
  background-color: transparent;
  color: var(--color-white);
}

.booking-box .form-control::placeholder {
  color: var(--color-accent-light);
}

.booking-box .form-control[type="date"]::-webkit-calendar-picker-indicator {
  filter: invert(1);
}

.booking-box .form-control:focus {
  box-shadow: none;
  border-color: var(--color-accent);
}

.menu-box {
  background-color: rgba(255, 255, 255, 0.8);
  padding-top: 30px;
  backdrop-filter: blur(20px);
  padding-bottom: 30px;
}

.menu-box h2 {
  margin-bottom: 30px;
}

.menu-item {
  margin-bottom: 30px;
}

.menu-thumb {
  z-index: 1;
  position: relative;
}

.menu-list {
  z-index: 2;
  position: relative;
}

.featured-box {
  background-color: rgba(255, 255, 255, 0.8);
  backdrop-filter: blur(20px);
}

.featured-title {
  position: relative;
  z-index: 2;
}

.featured-box {
  position: relative;
  z-index: 5;
}
